org.richfaces.component

## Enum UIToolbarGroup.Properties

- java.lang.Object
- - java.lang.Enum<UIToolbarGroup.Properties>
  - - org.richfaces.component.UIToolbarGroup.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIToolbarGroup.Properties>
  Enclosing class:
    UIToolbarGroup

      protected static enum UIToolbarGroup.Properties
      extends Enum<UIToolbarGroup.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `itemClass`
    `itemSeparator`
    `itemStyle`
    `location`
    `onitemclick`
    `onitemdblclick`
    `onitemkeydown`
    `onitemkeypress`
    `onitemkeyup`
    `onitemmousedown`
    `onitemmousemove`
    `onitemmouseout`
    `onitemmouseover`
    `onitemmouseup`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIToolbarGroup.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIToolbarGroup.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### itemClass

          public static final UIToolbarGroup.Properties itemClass

    - #### itemSeparator

          public static final UIToolbarGroup.Properties itemSeparator

    - #### itemStyle

          public static final UIToolbarGroup.Properties itemStyle

    - #### location

          public static final UIToolbarGroup.Properties location

    - #### onitemclick

          public static final UIToolbarGroup.Properties onitemclick

    - #### onitemdblclick

          public static final UIToolbarGroup.Properties onitemdblclick

    - #### onitemkeydown

          public static final UIToolbarGroup.Properties onitemkeydown

    - #### onitemkeypress

          public static final UIToolbarGroup.Properties onitemkeypress

    - #### onitemkeyup

          public static final UIToolbarGroup.Properties onitemkeyup

    - #### onitemmousedown

          public static final UIToolbarGroup.Properties onitemmousedown

    - #### onitemmousemove

          public static final UIToolbarGroup.Properties onitemmousemove

    - #### onitemmouseout

          public static final UIToolbarGroup.Properties onitemmouseout

    - #### onitemmouseover

          public static final UIToolbarGroup.Properties onitemmouseover

    - #### onitemmouseup

          public static final UIToolbarGroup.Properties onitemmouseup

  - ### Method Detail

    - #### values

          public static UIToolbarGroup.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIToolbarGroup.Properties c : UIToolbarGroup.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIToolbarGroup.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.